## Difficulty
Easy
## Category
Steganography
## How To Solve
The only thing you get is an image `budapest.jpg`. There is a zip hidden in this image, which you can extract using `binwalk -e budapest.jpg`. You can then see 3 files:
```bash
budapest_encrypted.jpg
encrypt_image.py
key.txt
```
You can not open the image just yet. When you explore the `encrypt_image.py` file, you can see that the original image has been encrypted with some key. That key has been stored in `key.txt`, after being hashed using SHA-1. SHA-1 is not safe. You can in this case use some hash lookup website to discover that the key is `TheBlueDanube`. The only thing you now need to do is to write a [decryption script](decrypt_image.py). Or actually you don't. Just change the input and output paths of the encryption script and you will be able to decrypt the encrypted image. Open the decrypted image and you will see the flag floating in the Blue Danube.
## Flag
`IGCTF{Bud4p3st_1s_c00l}`